eID middleware |

# be::portugal::eid::PTEID_ExNoCardPresent Class Reference

Exception class No Card Present (error code = EIDMW_ERR_NO_CARD). More...

Inheritance diagram for be::portugal::eid::PTEID_ExNoCardPresent:

List of all members.

## Public Member Functions
override void | Dispose ()
| PTEID_ExNoCardPresent ()

## Detailed Description

Exception class No Card Present (error code = EIDMW_ERR_NO_CARD).

Throw when no card is present. Used in :

- PTEID_ReaderContext::getCardType()
- PTEID_ReaderContext::getCard()
- PTEID_ReaderContext::getEIDCard()
- PTEID_ReaderContext::getKidsCard()
- PTEID_ReaderContext::getForeignerCard()
- PTEID_ReaderContext::getSISCard()

## Constructor & Destructor Documentation

be::portugal::eid::PTEID_ExNoCardPresent::PTEID_ExNoCardPresent | ( |  | ) | `[inline]`

## Member Function Documentation

override void be::portugal::eid::PTEID_ExNoCardPresent::Dispose | ( |  | ) | `[inline, virtual]`

Reimplemented from be::portugal::eid::PTEID_Exception.